View Issue Details

IDProjectCategoryView StatusLast Update
0003017ScribusUsabilitypublic2006-01-16 22:20
ReporterPeturrr Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformX86OSKubuntuOS Version6.04
Product Version1.3.2cvs 
Target VersionFixed in Version1.2.5cvs 
Summary0003017: Canvas Mode: SHIFT + mouseclick doesn't work as text selection tool
DescriptionIn Canvas Mode, Text editing:

Selecting text cannot be done by holding down SHIFT and clicking somewhere else in the text.
Steps To Reproduce1. New Document
2. Create text frame.
3. Write some sentences in it.
4. click somewhere in the text.
5. Hold down Shift and click somewhere else in the text.
7. The selection marking will not appear / nothing gets selected.
Additional InformationSHIFT + END or SHIFT + cursor keys does select text. SHIFT + mouse button should do this also. It is default behaviour in almost every application/OS.. For example: Selecting text in a webpage in Firefox.

TagsNo tags attached.
Patch

Relationships

has duplicate 0002637 closedcbradney Click then shift+click does not select any text, when editing a text frame outside the story editor 
child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

Peturrr

2006-01-16 08:59

reporter   ~0008121

1.3.1 CVS needs to be 1.3.2 CVS

plinnell

2006-01-16 22:20

viewer   ~0008131

tested both branches, vast improvement in text selection on canvas

Issue History

Date Modified Username Field Change
2006-01-15 23:25 Peturrr New Issue
2006-01-16 08:59 Peturrr Note Added: 0008121
2006-01-16 13:27 cbradney Status new => assigned
2006-01-16 13:27 cbradney Assigned To => cbradney
2006-01-16 13:29 cbradney Relationship added has duplicate 0002637
2006-01-16 13:30 cbradney Status assigned => resolved
2006-01-16 13:30 cbradney Fixed in Version => 1.3.2cvs
2006-01-16 13:30 cbradney Resolution open => fixed
2006-01-16 13:43 cbradney Product Version 1.3.1cvs => 1.3.2cvs
2006-01-16 13:43 cbradney Fixed in Version 1.3.2cvs => 1.2.5cvs
2006-01-16 22:20 plinnell Status resolved => closed
2006-01-16 22:20 plinnell Note Added: 0008131
2007-05-23 21:25 christoph_s Relationship added child of 0003157